
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "dry/facts/version"

Gem::Specification.new do |spec|
  spec.name          = "dry-facts"
  spec.version       = Dry::Facts::VERSION
  spec.authors       = ["Andriy Tyurnikov"]
  spec.email         = ["Andriy.Tyurnikov@gmail.com"]

  spec.summary       = %q{EventSourcing toolkit, based on dry-rb.}
  spec.description   = %q{EventSourcing toolkit, based on dry-rb.}
  spec.homepage      = "https://github.com/andriytyurnikov/dry-facts"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "require_all"
  spec.add_dependency "dry-struct"
  spec.add_dependency "dry-types",  ">= 0.12.1"
  spec.add_dependency "dry-validation",  ">= 0.11.1"
  spec.add_dependency "dry-equalizer", ">= 0.0.11"
  spec.add_dependency "dry-events", ">= 0.1.0"
  spec.add_dependency "graphql",    ">= 1.7.12"

  spec.add_development_dependency "bundler", ">= 1.16.a"
  spec.add_development_dependency "rake", ">= 10.0"
  spec.add_development_dependency "minitest", ">= 5.0"

end
